Page MenuHomePhabricator

changing-files: add a "salvaged" set to track file that were not removed
ClosedPublic

Authored by marmoute on Sep 29 2020, 6:37 AM.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Sep 29 2020, 6:37 AM
marmoute updated this revision to Diff 22982.Oct 2 2020, 3:14 AM
Alphare requested changes to this revision.Oct 2 2020, 4:50 AM
Alphare added a subscriber: Alphare.
Alphare added inline comments.
mercurial/metadata.py
170

Please fix the typos and punctuation, I am having trouble understanding this docstring.

This revision now requires changes to proceed.Oct 2 2020, 4:50 AM
marmoute updated this revision to Diff 22990.Oct 2 2020, 5:09 AM
Alphare accepted this revision.Oct 2 2020, 5:13 AM
Alphare added inline comments.
mercurial/metadata.py
170

Merge the two last sentences with a comma and we have a deal!

marmoute updated this revision to Diff 23009.Oct 2 2020, 12:39 PM
pulkit accepted this revision.Oct 7 2020, 8:01 AM
pulkit added a subscriber: pulkit.

Looks good to me. Since I was involved in coding the merge code and mergestate part of salvaged thing, I will hold for 2-3 days before pushing it.

This revision is now accepted and ready to land.Oct 7 2020, 8:01 AM